unit View.EditUser2;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.DBCtrls;

type
  TFViewEditUser2 = class(TWebForm)
  private
    { Private declarations }
    UserID: string;
    Username: string;
    FullName: string;
    Phone: string;
    Email: string;
    Admin: boolean;
  public
    { Public declarations }
    class function CreateForm(AElementID, AParam, BParam, CParam, DParam, EParam: string; FParam: boolean): TWebForm;
  end;

var
  FViewEditUser2: TFViewEditUser2;

implementation
class function TFViewEditUser2.CreateForm(AElementID, AParam, BParam, CParam, DParam, EParam: string; FParam: boolean): TWebForm;

  procedure AfterCreate(AForm: TObject);
  begin
    {TFViewEditUser(AForm).UserID := AParam;
    TFViewEditUser(AForm).Username := BParam;
    TFViewEditUser(AForm).FullName := CParam;
    TFViewEditUser(AForm).Phone := DParam;
    TFViewEditUser(AForm).Email:= EParam;
    TFViewEditUser(AForm).Admin := FParam;}

  end;

{$R *.dfm}
begin
  //Application.CreateForm(TFViewEditUser, AElementID, Result, @AfterCreate);
end;

end.